# MessageType (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: MessageType

Package co.aikar.commands

# Class MessageType

java.lang.Object
co.aikar.commands.MessageType

public class MessageType extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MessageType`
`ERROR`
`static final MessageType`
`HELP`
`static final MessageType`
`INFO`
`static final MessageType`
`SYNTAX`

## Constructor Summary

Constructors
Constructor
Description
`MessageType()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INFO

public static final MessageType INFO

### SYNTAX

public static final MessageType SYNTAX

### ERROR

public static final MessageType ERROR

### HELP

public static final MessageType HELP

## Constructor Details

### MessageType

public MessageType()

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals (Object o)

Overrides:
  `equals` in class `Object`